Bug 200582 - [NEW PORT] textproc/kibana4: Browser based analytics and search interface to ElasticSearch
Summary: [NEW PORT] textproc/kibana4: Browser based analytics and search interface to ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords:
: 200653 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-06-01 21:55 UTC by Serhii (Sergey) Kozlov
Modified: 2015-08-10 23:08 UTC (History)
7 users (show)

See Also:


Attachments
Port's shar archive (280.99 KB, text/plain)
2015-06-01 21:55 UTC, Serhii (Sergey) Kozlov
no flags Details
poudriere testport results (48.93 KB, text/plain)
2015-06-01 21:56 UTC, Serhii (Sergey) Kozlov
no flags Details
Port's shar archive 4.1.0 (242.86 KB, text/plain)
2015-06-11 12:53 UTC, Serhii (Sergey) Kozlov
no flags Details
poudriere testport results 4.1.0 (72.69 KB, text/plain)
2015-06-11 12:54 UTC, Serhii (Sergey) Kozlov
no flags Details
Port's shar archive 4.1.1 (283.93 KB, text/plain)
2015-07-09 14:54 UTC, Serhii (Sergey) Kozlov
no flags Details
poudriere testport results 4.1.1 (71.75 KB, text/plain)
2015-07-09 14:54 UTC, Serhii (Sergey) Kozlov
no flags Details
Add to contributors (556 bytes, patch)
2015-08-06 01:34 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Serhii (Sergey) Kozlov freebsd_committer 2015-06-01 21:55:53 UTC
Created attachment 157354 [details]
Port's shar archive

There is the textproc/kibana port already, but the new, 4th version is completely different from the 3rd one, so I've decided it should be another port.

The WWWDIR is overridden, if not - the files of 3rd and 4th kibanas' mix up in ${PREFIX}/www/kibana directory without causing a conflict, which seems bad for me.

The port fetches the Linux x86 version, but it can be any version elastic provides, it doesn't mean the port is for x86 only. The difference in kibana4 versions on elastic website is in the bundled node binaries, which are not copied alongside the application by the port.

The port depends on node010, because that's the version elastic bundles inside their platform-specific downloads. I made some smoke testing on node 0.12, and they are fine, but decided to follow the elastic's style anyway.
Comment 1 Serhii (Sergey) Kozlov freebsd_committer 2015-06-01 21:56:38 UTC
Created attachment 157355 [details]
poudriere testport results
Comment 2 Jason Unovitch freebsd_committer 2015-06-11 01:41:00 UTC
Thanks!

There is a recent security advisory for an XSS attack in 4.0.0, 4.0.1, and 4.0.2.  That would have to be addressed before this could go in the tree.  See the link below for more details.
https://discuss.elastic.co/t/kibana-cross-site-scripting-vulnerability-cve-2015-4093/2258

`portlint -Ac` shows the following. Thanks for being thorough.
looks fine.
Comment 3 Serhii (Sergey) Kozlov freebsd_committer 2015-06-11 12:53:34 UTC
Created attachment 157637 [details]
Port's shar archive 4.1.0
Comment 4 Serhii (Sergey) Kozlov freebsd_committer 2015-06-11 12:54:09 UTC
Created attachment 157638 [details]
poudriere testport results 4.1.0
Comment 5 Serhii (Sergey) Kozlov freebsd_committer 2015-06-11 12:54:26 UTC
Updated to 4.1.0
Comment 6 setjmp 2015-06-19 22:00:06 UTC
I had submitted a 4.0.2 a few weeks back turned out not too long after your's sergey. I will close that submission in hopes 4.1.0 comes fast :) I already build 4.1.0 from a custom subdir hack in my local ports tree. will be great to have it in the usual svnlite soon :) Thank You.

My submission was https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200653 and please feel free to use anything in it if you find it useful. Thanks again.
Comment 7 setjmp 2015-06-19 22:01:22 UTC
*** Bug 200653 has been marked as a duplicate of this bug. ***
Comment 8 Serhii (Sergey) Kozlov freebsd_committer 2015-07-09 14:54:07 UTC
Created attachment 158565 [details]
Port's shar archive 4.1.1

Updated to 4.1.1
Comment 9 Serhii (Sergey) Kozlov freebsd_committer 2015-07-09 14:54:56 UTC
Created attachment 158566 [details]
poudriere testport results 4.1.1
Comment 10 Jason Unovitch freebsd_committer 2015-08-04 02:14:34 UTC
I've opened https://reviews.FreeBSD.org/D3290 for a review on getting this port added.
Comment 11 commit-hook freebsd_committer 2015-08-06 01:22:40 UTC
A commit references this bug:

Author: junovitch
Date: Thu Aug  6 01:22:37 UTC 2015
New revision: 393628
URL: https://svnweb.freebsd.org/changeset/ports/393628

Log:
  New Port: textproc/kibana4

  Kibana is an open source (Apache Licensed), browser based analytics and search
  dashboard for Elasticsearch. Kibana is a snap to setup and start using. Kibana
  strives to be easy to get started with, while also being flexible and powerful,
  just like Elasticsearch

  WWW: https://www.elastic.co/products/kibana

  PR:		200582
  Submitted by:	Sergey Kozlov <kozlov.sergey.404@gmail.com>
  Approved by:	delphij (mentor)
  Differential Revision:	https://reviews.freebsd.org/D3290

Changes:
  head/textproc/Makefile
  head/textproc/kibana4/
  head/textproc/kibana4/Makefile
  head/textproc/kibana4/distinfo
  head/textproc/kibana4/files/
  head/textproc/kibana4/files/kibana.in
  head/textproc/kibana4/pkg-descr
  head/textproc/kibana4/pkg-plist
Comment 12 Jason Unovitch freebsd_committer 2015-08-06 01:34:53 UTC
Created attachment 159598 [details]
Add to contributors

Sergey,
Committed with extremely minor whitespace changes to kibana.in to better match /etc/rc.d style.  Great work!  Thanks!

Do you want your name added to contributors?  I see you have multiple ports and your name is not in the list.  Patch attached would do just that.
Comment 13 Serhii (Sergey) Kozlov freebsd_committer 2015-08-06 07:46:07 UTC
(In reply to Jason Unovitch from comment #12)

Yes, sure I want that to happen. Thanks!
Comment 14 Jason Unovitch freebsd_committer 2015-08-07 01:35:46 UTC
(In reply to Sergey Kozlov from comment #13)

Committed in https://svnweb.FreeBSD.org/changeset/doc/47172

I will mark this closed and assigned to myself once my PR for Bugzilla rights gets updated.